Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_15
Class SearchComparison

    java.lang.Object
      |
      +--NotesThread
            |
            +--djbuch.kapitel_15.SearchComparison

public class SearchComparison
extends NotesThread

Führt verschiedene Suchoperationen per search, FTSearch und get[All]Document[s][Entries]ByKey durch
und mißt die dafür benötigte Zeit und Trefferzahl.
Für jede Suche wird diese mehrfach mit verschiedenen Suchqueries durchgeführt
Das unten gezeigte Beispiel zeigt jeweils nur die Beispielqueries für den
jeweils letzten Durchlauf.
Trefferzahl und Laufzeit werden jeweils gemittelt.
Durchgeführt werden folgende Suchen, wobei [..n] andeutet, dass der Suchparameter variiert wird.
getDocumentByKey ("Tier 1[..n]")
getEntryByKey ("Tier 1[..n]")
getAllDocumentsByKey ("Tier 1[..n]", false) // ...,true, falls exactSearch==true
getAllEntriesByKey ("Tier 1[..n]", false) // ...,true, falls exactSearch==true
view.FTSearch ("FIELD F_titel="Tier 1[..n]*") //Jokersymbol * beachten!
view.FTSearch ("FIELD F_titel="Tier 1[..n]?[?[...]]") //Jokersymbol ? beachten! Wird mehrfach variiert.
db.FTSearch ("FIELD F_titel="Tier 1[..n]*") //Jokersymbol * beachten!
db.search ("@left (F_titel;6)=\"Tier 1[..n]\") //@Formel @left statt Jokersymbol
Beispielausgabe:
Aufräumen: Lösche 0 Dokumente.
Erzeuge 10100 neue Dokumente.
FT Index aktualisieren.
SETUP:
Exakte Suche? false
Anzahl der Suchoperationen pro Suche: 9
Anzahl der Dokumente: 10100
Ausführungsort der Session: Auf Server CN=Java/O=DJBUCH
FT_MAX_SEARCH_RESULTS = 20000
Ergebnis:
Einzelnes Dokument über getDocumentByKey laden: 250ms
Index hierbei: Tier 1
Einzelnes Dokument über getEntryByKey laden: 219ms
Index hierbei: Tier 1
Mehrere Dokumente über getAllDocumentsByKey laden: 547ms / Treffer = 1111
Index hierbei: Tier 1
Mehrere Dokumente über getAllEntriesByKey laden: 1500ms / Treffer = 1111
Index hierbei: Tier 1
Mehrere Dokumente über view.FTSearch laden: 2422ms / Treffer = 1111
Query hierbei: FIELD F_titel="Tier 1*"
Mehrere Dokumente über view.FTSearch laden: 624ms / Treffer = 1111
Query hierbei: FIELD F_titel="Tier 1????"
Mehrere Dokumente über db.FTSearch laden: 2235ms / Treffer = 1111
Query hierbei: FIELD F_titel="Tier 1*"
Mehrere Dokumente über db.search laden: 1249ms / Treffer = 1111
Query hierbei: @left (F_titel;6)="Tier 1"

Author:
  Thomas Ekert
See Also:
  Serialized Form

Constructor Summary
`SearchComparison()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `runNotes()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchComparison

    public SearchComparison()

Method Detail

### main

    public static void main(java.lang.String[] args)

### runNotes

    public void runNotes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD